package com.njcn.csdevice.service;


import com.njcn.csdevice.pojo.dto.DevDetailDTO;
import com.njcn.device.biz.pojo.po.PqsDeviceUnit;

import java.util.List;

public interface CsCommTerminalService {

    List<String> getLineIdsByUser(String userId);

    List<String> getPqUserIdsByUser(String userId);

    PqsDeviceUnit lineUnitDetail(String lineId);

    List<String> commGetDevIds(String userId);

    List<DevDetailDTO> getLedgerByLineId(List<String> id);
}
